# Class StatusListener

java.lang.Object
org.openscience.jmol.app.status.StatusListener

All Implemented Interfaces:
  `JmolCallbackListener, JmolStatusListener, JmolSyncInterface, JSVInterface`

public class StatusListener extends Object implements JmolStatusListener, JmolSyncInterface, JSVInterface

## Constructor Summary

Constructors
Constructor
Description
`StatusListener(Viewer vwr, JmolPanel jmolPanel, DisplayPanel display)`
`StatusListener(JmolPanel jmolPanel, DisplayPanel display)`

## Method Summary

Modifier and Type
Method
Description
`String`
`createImage(String fileName, String type, Object text_or_bytes, int quality)`
Starting with Jmol 11.8.RC5, for a context where the Jmol application is embedded in another application simply to send the returned message to the application.
`String`
`eval(String strEval)`
`void`
`exitJSpecView(boolean withDialog, Object frame)`
`float[][]`
`functionXY(String functionName, int nX, int nY)`
this is just a test method for isosurface FUNCTIONXY
`float[][][]`
`functionXYZ(String functionName, int nX, int nY, int nZ)`
for isosurface FUNCTIONXYZ
`Map<String,Object>`
`getJSpecViewProperty(String type)`
`Map<String,Object>`
`getRegistryInfo()`
`void`
`notifyCallback(CBK type, Object[] data)`
`boolean`
`notifyEnabled(CBK type)`
`void`
`register(String id, JmolSyncInterface jsi)`
`int[]`
`resizeInnerPanel(String data)`
`void`
`runScript(String script)`
no queuing here -- called by MainFrame
`void`
`saveProperties(Properties properties)`
`void`
`setCallbackFunction(String callbackType, String callbackFunction)`
`void`
`setJSpecView(String peaks, boolean doLoadCheck, boolean isFileLoad)`
`void`
`setProperties(Properties properties)`
`void`
`setUserStatusListener(JmolStatusListener listener)`
`void`
`showUrl(String url)`
`void`
`syncScript(String script)`
`void`
`syncToJmol(String msg)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StatusListener

public StatusListener(JmolPanel jmolPanel, DisplayPanel display)

### StatusListener

public StatusListener(Viewer vwr, JmolPanel jmolPanel, DisplayPanel display)

## Method Details

### notifyEnabled

public boolean notifyEnabled(CBK type)

Specified by:
  `notifyEnabled` in interface `JmolCallbackListener`

### notifyCallback

public void notifyCallback(CBK type, Object[] data)

Specified by:
  `notifyCallback` in interface `JmolCallbackListener`

### setCallbackFunction

public void setCallbackFunction(String callbackType, String callbackFunction)

Specified by:
  `setCallbackFunction` in interface `JmolCallbackListener`

### eval

public String eval(String strEval)

Specified by:
  `eval` in interface `JmolStatusListener`

### createImage

public String createImage(String fileName, String type, Object text_or_bytes, int quality)
Description copied from interface: `JmolStatusListener`
Starting with Jmol 11.8.RC5, for a context where the Jmol application is embedded in another application simply to send the returned message to the application. In this way any application can have access to the WRITE command.

Specified by:
  `createImage` in interface `JmolStatusListener`
Parameters:
  `fileName` -
  `type` -
  `text_or_bytes` -
  `quality` -
Returns:
  null ("you do it" or canceled) or a message starting with OK or an error message

### showUrl

public void showUrl(String url)

Specified by:
  `showUrl` in interface `JmolStatusListener`

### getRegistryInfo

public Map<String,Object> getRegistryInfo()

Specified by:
  `getRegistryInfo` in interface `JmolStatusListener`

### resizeInnerPanel

public int[] resizeInnerPanel(String data)

Specified by:
  `resizeInnerPanel` in interface `JmolStatusListener`

### setJSpecView

public void setJSpecView(String peaks, boolean doLoadCheck, boolean isFileLoad)

### register

public void register(String id, JmolSyncInterface jsi)

Specified by:
  `register` in interface `JmolSyncInterface`

### syncScript

public void syncScript(String script)

Specified by:
  `syncScript` in interface `JmolSyncInterface`

### setProperties

public void setProperties(Properties properties)

Specified by:
  `setProperties` in interface `JSVInterface`

### saveProperties

public void saveProperties(Properties properties)

Specified by:
  `saveProperties` in interface `JSVInterface`

### exitJSpecView

public void exitJSpecView(boolean withDialog, Object frame)

Specified by:
  `exitJSpecView` in interface `JSVInterface`
Parameters:
  `withDialog` -
  `frame` -

### runScript

public void runScript(String script)
no queuing here -- called by MainFrame

Specified by:
  `runScript` in interface `JSVInterface`
Parameters:
  `script` -

### syncToJmol

public void syncToJmol(String msg)

Specified by:
  `syncToJmol` in interface `JSVInterface`
Parameters:
  `msg` -

### setUserStatusListener

public void setUserStatusListener(JmolStatusListener listener)

### getJSpecViewProperty

public Map<String,Object> getJSpecViewProperty(String type)

Specified by:
  `getJSpecViewProperty` in interface `JmolStatusListener`
Specified by:
  `getJSpecViewProperty` in interface `JmolSyncInterface`

### functionXY

public float[][] functionXY(String functionName, int nX, int nY)
this is just a test method for isosurface FUNCTIONXY

Specified by:
  `functionXY` in interface `JmolStatusListener`
Parameters:
  `functionName` -
  `nX` -
  `nY` -
Returns:
  f(x,y) as a 2D array

### functionXYZ

public float[][][] functionXYZ(String functionName, int nX, int nY, int nZ)
Description copied from interface: `JmolStatusListener`
for isosurface FUNCTIONXYZ

Specified by:
  `functionXYZ` in interface `JmolStatusListener`
Parameters:
  `functionName` -
  `nX` -
  `nY` -
  `nZ` -
Returns:
  3D array or null